{ devicesFunctions }:
let
  inherit (devicesFunctions)
    fileModeAndDirMode
    ownerExclusiveReadWriteMask
    readWritePermissions
    sambaPermissions
    userIdForUser0
    ;
  serverName = "server";
  serverIP = "192.168.50.140";
  serverStorageDriveName = "NAS1";
in
{
  label = "Server";
  name = serverName;
  sync = {
    address0 = "";
  };
  ip = {
    address0 = serverIP;
  };
  boot = {
    options = ownerExclusiveReadWriteMask;
  };
  storage0 = {
    mount = "/mnt/media/${serverStorageDriveName}";
    device = "/dev/disk/by-label/${serverStorageDriveName}";
    options = readWritePermissions;
  };
  samba0 = {
    mount = "/mnt/media/${serverName}";
    device = "//${serverIP}";
    options = sambaPermissions ++ fileModeAndDirMode ++ userIdForUser0;
  };
}
